安裝Newtonsoft.Json時無法安裝html-agility-pack

html-agility-pack json json.net

我想知道為什麼我不能用Newtonsoft.Json安裝你的pakage並得到這個錯誤:

Severity    Code    Description Project File    Line    Suppression State
Error       An error occurred while retrieving package metadata for 'Newtonsoft.Json.10.0.3' from source 'C:\Users\......\packages'.            0   

我嘗試在.net 4中使用它們。我嘗試從nuget包安裝它們

無論如何安裝我可以使用package manager > install and update option > dependence behavior ignore dependence選項package manager > install and update option > dependence behavior但有時當應用程序運行時我收到錯誤...

任何解決方案

2017-08-20_20h42_24

熱門答案

從c:\ .... \ packages中刪除Newtonsoft.Json.10.0.3文件夾並從packages.config中刪除它的行,然後從項目引用中刪除再次安裝較低版本。



許可下: CC-BY-SA with attribution
不隸屬於 Stack Overflow
這個KB合法嗎? 是的,了解原因
許可下: CC-BY-SA with attribution
不隸屬於 Stack Overflow
這個KB合法嗎? 是的,了解原因